# 32/64bit spec-file
# import to pclinuxos by <Daniel Meiß-Wilhelm> on <2020.12.17>
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

Name:			lxqt-wallet
Version:		3.2.2
Release:		%mkrel 3
License:		BSD
Group:			Graphical desktop/LXQT
URL:			https://github.com/lxqt/lxqt_walle
Source:			http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary:		Create a kwallet like functionality for LXQt	
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:  lib64lxqt-devel
BuildRequires:  cmake
BuildRequires:  lib64qt5core-devel
BuildRequires:	lib64qt5widgets-devel
BuildRequires:  lib64qt5help-devel
BuildRequires:	lib64secret-devel
BuildRequires:	lib64kf5wallet-devel

%description
This project seeks to give a functionality for secure storage
of information that can be presented in key-values pair like
user names-passwords pairs.
Currently the project can store the information in KDE's kwallet,
GNOME's secret service or in an internal system that use libgcrypt
as its cryptographic backend.
The internal secure storage system allows the functionality to
be provided without dependencies on KDE or GNOME libraries.
This project is designed to be used by other projects simply by
adding the source folder in the build system and start using it.

%package devel
Summary:        Development files for %{name}
Requires:       lib64lxqt-devel
Requires:       %{name}

%description devel
%{summary}. 

%prep

%setup -q -n %{name}-%{version}
cp -p backend/README README-backend
cp -p frontend/README README-frontend

%cmake_qt5 


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build



%files
%defattr(-,root,root)
%doc README.md changelog LICENSE
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm



%files devel
%doc README-*
%{_includedir}/lxqt/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Feb 15 2023 tex - 3.2.2-3pclos2023
- rebuild against updates

* Mon Sep 19 2022 tex - 3.2.2-2pclos2022
- rebuild against updates

* Thu Apr 15 2021 daniel <> 3.2.2-1pclos2021
- 3.2.2

* Sun Dec 27 2020 tex - 3.2.1-2pclos2020
- fix broken dependency and change spec file to make
- it easy to use bumpspec

* Thu Dec 17 2020 daniel <meisssw01 at gmail.com> 3.2.1-1pclos2020
- import to pclos
